[Webhook] Driver Document Status Change
¶ Use case
By subscribing to this webhook, fleet companies will receive notifications whenever there is a change in the status of any driver-related compliance document. This includes events such as a document being approved or rejected. This functionality ensures that companies can manage their documentation efficiently and stay updated on the compliance and availability of vehicle-related documents.
For more information on how to utilize webhooks, please refer to the provided link here.
¶ Supported supplier types
Fleets
¶ Support for Hierarchical Data
The webhook supports hierarchical data, sending updates for all organizations under the root where the clientID is allowlisted. This ensures comprehensive data coverage and management across different levels of the organization.
¶ Webhook response fields
¶ Request Query/Body Parameters
| Name | Type | Description |
|---|---|---|
event_id |
string | Unique event identifier, which can be used to ensure that events are only digested once. This is a Uber generated UUID. |
event_time |
long | Unix timestamp of the time the event occurred. |
event_type |
string | The type of event that occurred. In this case, value would be DRIVER_DOCUMENT_STATUS_UPDATED. |
resource_href |
string | A relative URL that can be used to fetch the latest driver compliance data via the Get Drivers Information API. Call this URL with the solutions.suppliers.driver.compliance.read scope and include_compliance=true query param to retrieve compliance data. |
meta |
object | The object containing additional information that is specific to the event_type. |
¶ Request Query/Body Parameters - Meta
| Name | Type | Description |
|---|---|---|
resource_id |
string | Raw driver UUID — unique identifier of the driver this event has been generated for. |
driver_id |
string | Raw driver UUID. |
organization_id |
string | Encrypted organization UUID to which the driver belongs. |
unencrypted_organization_id |
string | Raw organization UUID. |
¶ Webhook Security
For detailed information on securing webhooks, please refer to the security guidelines here.
¶ Webhook event structure
{
"event_id": "<uuid>",
"event_type": "DRIVER_DOCUMENT_STATUS_UPDATED",
"event_time": 1719300000,
"resource_href": "v1/vehicle-suppliers/drivers?org_id=<ENC_ORG>&driver_id=<RAW_DRIVER_UUID>&include_compliance=true",
"meta": {
"resource_id": "<RAW_DRIVER_UUID>",
"driver_id": "<RAW_DRIVER_UUID>",
"organization_id": "<ENC_ORG_UUID>",
"unencrypted_organization_id": "<RAW_ORG_UUID>"
}
}
¶ Retry
If Uber does not receive an acknowledgement response, the event will be resent based on an exponential backoff algorithm. The next webhook event will be sent 30 seconds after the initial event, then again after 60 seconds, then after 120 seconds, and so on. Seven retries will be made with this exponential backoff.
¶ Backfill Process
Currently not supported. Events are forward-only — no historical events will be replayed at launch.
¶ Notes
- After receiving a webhook, the fleet company must call the Get Drivers Information API with
include_compliance=trueand thesolutions.suppliers.driver.compliance.readscope to retrieve full compliance data, including document statuses and rejection reasons. Compliance data is not returned unless both the query parameter and scope are provided. - The
resource_hrefin the webhook payload includesinclude_compliance=true; append thesolutions.suppliers.driver.compliance.readscope when requesting an OAuth token for that call. - This webhook is gated per client ID. Contact your Uber account manager to enable it for your integration.
¶ Sand Box
Please note that sandbox support is currently unavailable.